Std ViewIvStereoRedGreen: Difference between revisions

From FreeCAD Documentation
No edit summary
m (typo)
 
(5 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{Page in progress}}

<translate>
<translate>


<!--T:1-->
{{Docnav
{{Docnav
|[[Std_SelBoundingBox|Std SelBoundingBox]]
|[[Std_SelBoundingBox|SelBoundingBox]]
|[[Std_ViewIvStereoQuadBuff|Std ViewIvStereoQuadBuff]]
|[[Std_ViewIvStereoQuadBuff|ViewIvStereoQuadBuff]]
|[[Std_View_Menu|Std View Menu]]
|[[Std_View_Menu|Std View Menu]]
|IconL=Std_SelBoundingBox.svg
|IconL=Std_SelBoundingBox.svg
Line 14: Line 12:
}}
}}


<!--T:2-->
{{GuiCommand
{{GuiCommand
|Name=Std ViewIvStereoRedGreen
|Name=Std ViewIvStereoRedGreen
Line 21: Line 20:
}}
}}


==Description==
==Description== <!--T:3-->


<!--T:4-->
The '''Std ViewIvStereoRedGreen''' command changes the active [[3D_view|3D view]] to red/cyan, [https://en.wikipedia.org/wiki/Anaglyph_3D anaglyph], stereo perspective view mode. To use this stereo mode glasses with colored lenses are requires.
The '''Std ViewIvStereoRedGreen''' command changes the active [[3D_view|3D view]] to red/cyan, [https://en.wikipedia.org/wiki/Anaglyph_3D anaglyph], stereo view mode. To use this stereo mode glasses with colored lenses are required.


==Usage==
==Usage== <!--T:5-->


<!--T:6-->
# Select the {{MenuCommand|View → Stereo → [[Image:Std_ViewIvStereoRedGreen.svg|16px]] Stereo red/cyan}} option from the menu.
# Select the {{MenuCommand|View → Stereo → [[Image:Std_ViewIvStereoRedGreen.svg|16px]] Stereo red/cyan}} option from the menu.


==Preferences== <!--T:7-->
==Scripting==

<!--T:8-->
* The eye to eye distance can be changed in the preferences: {{MenuCommand|Edit → Preferences... → Display → 3D View → Eye to eye distance for stereo modes}}. See [[Preferences_Editor#3D_View|Preferences Editor]].

==Scripting== <!--T:9-->


<!--T:10-->
{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].


<!--T:11-->
To change the view to red/cyan stereo use the {{incode|setStereoType}} method of the ActiveView object. This method is not available if FreeCAD is in console mode.
To change the view to red/cyan stereo use the {{incode|setStereoType}} method of the ActiveView object. This method is not available if FreeCAD is in console mode.


Line 44: Line 52:
<translate>
<translate>


<!--T:12-->
{{Docnav
{{Docnav
|[[Std_SelBoundingBox|Std SelBoundingBox]]
|[[Std_SelBoundingBox|SelBoundingBox]]
|[[Std ViewIvStereoQuadBuff|Std ViewIvStereoQuadBuff]]
|[[Std ViewIvStereoQuadBuff|ViewIvStereoQuadBuff]]
|[[Std_View_Menu|Std View Menu]]
|[[Std_View_Menu|Std View Menu]]
|IconL=Std_SelBoundingBox.svg
|IconL=Std_SelBoundingBox.svg

Latest revision as of 23:31, 5 February 2023

Std ViewIvStereoRedGreen

Menu location
View → Stereo → Stereo red/cyan
Workbenches
All
Default shortcut
None
Introduced in version
-
See also
Std ViewIvStereoQuadBuff, Std ViewIvStereoInterleavedRows, Std ViewIvStereoInterleavedColumns, Std ViewIvStereoOff

Description

The Std ViewIvStereoRedGreen command changes the active 3D view to red/cyan, anaglyph, stereo view mode. To use this stereo mode glasses with colored lenses are required.

Usage

  1. Select the View → Stereo → Stereo red/cyan option from the menu.

Preferences

  • The eye to eye distance can be changed in the preferences: Edit → Preferences... → Display → 3D View → Eye to eye distance for stereo modes. See Preferences Editor.

Scripting

See also: FreeCAD Scripting Basics.

To change the view to red/cyan stereo use the setStereoType method of the ActiveView object. This method is not available if FreeCAD is in console mode.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.setStereoType('Anaglyph')
FreeCADGui.ActiveDocument.ActiveView.getStereoType()